<!DOCTYPE html>
<html lang="en">

<head>
    <title></title>
</head>

<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p><a href="{% url 'todo_list_create' %}">Create a new list</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in todo_list %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_list_detail' list.id %}">{{ list.name }}</a>
                        </td>
                        <td>{{ list.items.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>

</html>
